org.springframework.data.projection

## Interface ProjectionInformation

All Known Implementing Classes:
  SpelAwareProxyProjectionFactory.SpelAwareProjectionInformation

    public interface ProjectionInformation

Information about a projection type.

Since:
  1.12
Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`List<PropertyDescriptor>` `getInputProperties()` Returns the properties that will be consumed by the projection type.
`Class<?>` `getType()` Returns the projection type.
`boolean` `isClosed()` Returns whether supplying values for the properties returned via `getInputProperties()` is sufficient to create a working proxy instance.

### Method Detail

#### getType

    Class<?> getType()

Returns the projection type.

Returns:
  will never be null.

#### getInputProperties

    List<PropertyDescriptor> getInputProperties()

Returns the properties that will be consumed by the projection type.

Returns:
  will never be null.

#### isClosed

    boolean isClosed()

Returns whether supplying values for the properties returned via `getInputProperties()` is sufficient to create a working proxy instance. This will usually be used to determine whether the projection uses any dynamically resolved properties.

Returns: